/* Kalender CSS */

.fc-toolbar-chunk {
    position: relative;
}
.fc-toolbar-title {
    color: var(--primary-color);
}
.fc .fc-button-primary:focus{
    box-shadow: none;
}
.fc .fc-button-primary:not(:disabled):active, 
.fc .fc-button-primary:not(:disabled).fc-button-active{
    background-color: var(--primary-color);
    border-color: var(--primary-color);
}
.fc .fc-button-primary:disabled{
    background: white;
    color: var(--middle-grey);
    border-color: var(--middle-grey);
}
.fc .fc-button-primary.fc-selectMonth-button{
    background: white;
    color: var(--primary-color);
    margin: 0px 12px !important;
    width: 340px;
    text-align: left;
    position: relative;
}
    .fc .fc-button-primary.fc-selectMonth-button:before{
        content: url(/custom/img/microsite/1854/Pfeil_01.svg);
        filter: invert(10%) sepia(74%) saturate(6844%) hue-rotate(337deg) brightness(82%) contrast(104%);
        width: 13px;
        height: auto;
        position: absolute;
        right: 8px;
        top: 8px;
    }
    .fc .fc-button-primary.fc-selectMonth-button.open:before{
        top: 5px;
        transform: rotate(180deg);
    }
    .fc .fc-button-primary.fc-selectMonth-button.open + .monthsOptions{
        display: flex;
    }

    .fc .monthsOptions{
        display: none;
        flex-direction: column;
        position: absolute;
        left: 58px;
        background: white;
        top: 39px;
        width: 340px;
        z-index: 99;
        max-height: 225px;
        overflow-y: scroll;
        border: 1px solid black;
        border-top: none;
    }
        .fc .monthsOptions::-webkit-scrollbar{
            width: 8px;
        }
        .fc .monthsOptions .option{
            padding: 5px 10px;
            cursor: pointer;
        }
        .fc .monthsOptions .option:hover{
            color: var(--white);
            background: var(--primary-color);
        }

        .fc .monthsOptions .option.active{
            color: var(--middle-grey);
        }

.fc-day-mon .fc-daygrid-event{
    position: relative;
}
    .fc-daygrid-event-harness .fc-daygrid-event:not(.fc-event-start):after{
        border-left: 8px dotted #f4f5f6;
        content: "";
        position: absolute;
        height: 68.8%;
        width: 8px;
        display: block;
        left: -3px;
        top: 4px;
        z-index: 3;
    }
    
    .fc-daygrid-event-harness-abs .fc-daygrid-event:not(.fc-event-end):not(:focus):before{
        border-left: 8px dotted #f4f5f6;
        content: "";
        position: absolute;
        height: 68.8%;
        width: 8px;
        display: block;
        right: -3px;
        top: 4px;
        z-index: 3;
    }
    .fc-daygrid-event-harness .fc-daygrid-event:not(.fc-event-start) .fc-event-title{
        padding-left: 8px;
    }



:is(.fc-toolbar-chunk .fc-prev-button, 
.fc-next-button), 
#divContent .fc-toolbar-title {
    position: unset !important;
}
:is(.fc-toolbar-chunk .fc-prev-button, 
.fc-next-button), 
#divContent .fc-toolbar-title,
#divContent .fc-dayGridMonth-button {
    background: transparent;
    color: var(--primary-color);
    border: 1px solid var(--primary-color);
    border-radius: 0px;
}
:is(.fc-toolbar-chunk .fc-prev-button, 
.fc-next-button):not(:disabled):hover,
#divContent .fc-today-button:not(:disabled):hover,
#divContent .fc-dayGridMonth-button:not(:disabled):hover {
    background: var(--primary-color);
    color: #fff;
}

.fc-h-event .fc-event-title{
    text-overflow: ellipsis;
}

.fc-prev-button {
    top: 0;
    left: 0;
}
.fc-next-button {
    top: 0;
    left: 375px;
}
.fc-today-button {
    top: 0;
    left: 46px;
    width: 347px;
    height: 40px;
}
#divContent div.fc-daygrid-body,
#divContent table.fc-scrollgrid-sync-table,
#divContent table.fc-col-header{
    width: 100% !important;
} 

#divContent table.fc-scrollgrid,
#divContent th.fc-col-header-cell {
    border: none;
}
#divContent th.fc-col-header-cell {
    font-size: 26px;
    font-weight: 500;
}
#divContent table.fc-scrollgrid {
    border-top: none;
}
#divContent .fc-toolbar.fc-header-toolbar {
    margin-bottom: 55px;
}
#divContent td.fc-daygrid-day.fc-day {
    background: #f4f5f6;
}
#divContent .fc .fc-daygrid-day-top {
    justify-content: center;
}
#divContent .fc-theme-standard td,
.fc-theme-standard th {
    border-bottom: 5px solid #fff;
    border-top: none;
    border-left: none;
    border-right: none;
}
#divContent .fc-h-event .fc-event-main {
    border: 1px solid #eaeced;
    background-color: #eaeced;
    transition: all .3s ease-in-out;
}
    #divContent .fc-h-event:not(.vector_event, .sessionTypeBadge.primaryColorBorderLeft) {
        border-top-width: 0px; 
        border-right-width: 0px; 
        border-bottom-width: 0px; 
        border-radius: 0px;
    }
    .vector_event, .sessionTypeBadge.primaryColorBorderLeft {
        border-top-width: 0px; 
        border-right-width: 0px; 
        border-bottom-width: 0px; 
        border-radius: 0px;
    }

    
#divContent .fc-h-event .fc-event-main {
    color: #3a3e3f;
    background: var(--grey);
    padding: 0px 5px;
    cursor: pointer;
    transition: color .35s ease-out, background .35s ease-out;
}
#divContent  .fc-h-event.hover .fc-event-main{
    background: var(--primary-color);
    color: #fff;
    transition: background .35s ease-out, background .35s ease-out;
}
#divContent .fc-scroller-harness {
    margin-bottom: 10px;
}
/* #divContent td.fc-day-today.fc-daygrid-day.fc-day {
    background: rgba(255,220,40,.15);
} */
td.fc-day-today .fc-daygrid-day-top {
    position: relative;
    color: #fff;
}
td.fc-day-today .fc-daygrid-day-top:after {
    content: "";
    position: absolute;
    top: 0;
    left: 50%;
    width: 30px;
    height: 30px;
    background: var(--primary-color);
    transform: translate(-50%, 0%);
    border-radius: 50%;
}


/** * POPUP ** */
#calendar-event-details .u2d-popup__body{
    max-width: 450px;
    width: 100%;
    border-width: 0px 0px 0px 7px;
}
    #calendar-event-details .u2d-popup__body .sessionTypeBadge{
        margin-left: -40px;
        padding: 5px 15px 5px 40px;
        background: var(--middle-light-grey);
        margin-bottom: 10px;
        font-size: 14px;
        line-height: unset;
    }
    #calendar-event-details .u2d-popup__body .text-wrapper{
        overflow: hidden;
        display: -webkit-box;
        -webkit-line-clamp: 7;
        -webkit-box-orient: vertical;
        margin-bottom: 40px;
    }
        #calendar-event-details .u2d-popup__body .text-wrapper .headline-3{
            color: var(--primary-color);
            margin-bottom: 2px;
            margin-top: 16px;
        }
        #calendar-event-details .u2d-popup__body .text-wrapper .text{
            margin-top: 16px;
        }
    #calendar-event-details .u2d-popup__body .btn-primary{
        padding: 11px 21px;
    }

@media(max-width: 1280px) {

    #divContent div#calendar {
        overflow: hidden;
    }    

}

@media(min-width: 600px) {
    #calendar-event-details .u2d-popup__body{
        min-width: 438px;
    }
}